%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(0)")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%global momorel 1
%global srcname Cython
%global upname cython

Name:		Cython
Version:	0.27.1
Release:	%{momorel}m%{?dist}
Summary:	A language for writing Python extension modules

Group:		Development/Tools
License:	Apache
URL:		http://www.cython.org
Source:		https://pypi.python.org/packages/10/32/21873ff231e069f860098b1602bb9e3ae2806d2f73ba661b5d806f200243/Cython-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%global _description \
This is a development version of Pyrex, a language\
for writing Python extension modules.

%description %{_description}

%package -n python2-%{srcname}
Summary:        %{summary}
Group:		Development/Tools
Provides:       Cython = %{version}-%{release}
Obsoletes:      Cython < %{version}-%{release}
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description -n python2-%{srcname} %{_description}

Python 2 version.

%package -n python3-%{srcname}
Summary:        %{summary}
Group:		Development/Tools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{srcname} %{_description}

Python 3 version.


%prep
%setup -q

%build
%py2_build
%py3_build

%install
rm -rf %{buildroot}

%py3_install
for bin in cython cythonize cygdb; do
  mv %{buildroot}%{_bindir}/${bin} %{buildroot}%{_bindir}/${bin}3
done
rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests

%py2_install
rm -rf %{buildroot}%{python2_sitelib}/setuptools/tests

%clean
rm -rf %{buildroot}

%files -n python2-%{srcname}
%doc LICENSE.txt
%doc *.txt Demos Tools docs
%{_bindir}/cython
%{_bindir}/cygdb
%{_bindir}/cythonize
%{python2_sitearch}/%{srcname}-*.egg-info/
%{python2_sitearch}/%{srcname}/
%{python2_sitearch}/pyximport/
%{python2_sitearch}/%{upname}.py*

%files -n python3-%{srcname}
%doc LICENSE.txt
%doc *.txt Demos Tools docs
%{_bindir}/cython3
%{_bindir}/cythonize3
%{_bindir}/cygdb3
%{python3_sitearch}/%{srcname}-*.egg-info/
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/pyximport/
%{python3_sitearch}/%{upname}.py
%{python3_sitearch}/__pycache__/%{upname}.*

%changelog
* Thu Oct 05 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.27.1-1m)
- update to 0.27.1
- support Python3

* Mon Dec 26 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.25.2-1m)
- update to 0.25.2

* Sat Sep 29 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.17.1-1m)
- update to 0.17.1

* Sat Sep  1 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.17-1m)
- update to 0.17

* Sun Sep 25 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.15.1-1m)
- update 0.15.1

* Tue Aug  9 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.15-1m)
- update 0.15

* Mon Apr 25 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.14.1-1m)
- update 0.14.1

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12.1-4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12.1-3m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.12.1-2m)
- full rebuild for mo7 release

* Mon Jul  5 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.1-1m)
- Initial Commit Momonga Linux

